package com.fr.plugin.present;

import com.fr.base.present.Present;
import com.fr.design.beans.FurtherBasicBeanPane;
import com.fr.design.fun.impl.AbstractPresentKindProvider;
import com.fr.plugin.present.fun.StarPresent;
import com.fr.plugin.present.ui.StarPresentPane;

/**
 * @author richie
 * @date 2015-05-24
 * @since 8.0
 */
public class PresentKindBridge extends AbstractPresentKindProvider {

    @Override
    public FurtherBasicBeanPane<? extends Present> appearanceForPresent() {
        return new StarPresentPane();
    }

    @Override
    public String title() {
        return "我的形态";
    }

    @Override
    public Class<? extends Present> kindOfPresent() {
        return StarPresent.class;
    }

    @Override
    public char mnemonic() {
        return 'M';
    }
}